Error when trying to download Scrapy

This is the place for queries that don't fit in any of the other categories.

Error when trying to download Scrapy

Postby brandnew22 » Tue Aug 13, 2013 1:20 am

Trying to download Scrapy for Python. I get this error:

Downloading https://pypi.python.org/packages/source ... 18dac42236
Processing lxml-3.2.3.tar.gz
Running lxml-3.2.3/setup.py -q bdist_egg --dist-dir /tmp/easy_install-rbld5V/lxml-3.2.3/egg-dist-tmp-F8R_lI
Building lxml version 3.2.3.
Building without Cython.
Using build configuration of libxslt 1.1.24
/System/Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/distutils/dist.py:266: UserWarning: Unknown distribution option: 'bugtrack_url'
warning: no files found matching '*.txt' under directory 'src/lxml/tests'
unable to execute gcc-4.2: No such file or directory
error: Setup script exited with error: command 'gcc-4.2' failed with exit status 1


I used sudo command and ran easy_install but no luck. Any help getting this downloaded will be much appreciated.
brandnew22
 
Posts: 1
Joined: Tue Aug 13, 2013 1:18 am

Re: Error when trying to download Scrapy

Postby micseydel » Tue Aug 13, 2013 2:43 am

It looks like you don't have gcc installed. In OS X I believe that means installing the big old Xcode package.
Join the #python-forum IRC channel on irc.freenode.net!

Please do not PM members regarding questions which are meant to be discussed publicly. The point of the forum is so that others can benefit from it. We don't want to help you over PMs or emails.
User avatar
micseydel
 
Posts: 1372
Joined: Tue Feb 12, 2013 2:18 am
Location: Mountain View, CA


Return to General Coding Help

Who is online

Users browsing this forum: Bing [Bot], snippsat and 1 guest